<template>
	<view class="">
		<view class="status_bar"></view>
		<view class="" style="position: relative;top: 40px;">
			<view style="position: fixed;z-index: 100;">
				<uni-nav-bar  @clickLeft="clickLeft" left-icon="back" left-text="返回"
				 ></uni-nav-bar>
				 <view class="bases_search">
				 	<view class="bases_search_text" @click="clickRight">
				 		<u-icon name="search" class="search" @click="search"></u-icon>
				 		<input type="text" v-model="data.search" placeholder="设备ID搜索" @input="searchinput" disabled/>
				 	</view>
				 </view>
				<view>
					<image :src="'http://www.hnyfwlw.com:8006/bigdata_app'+'/image/cb/banner.jpg'" mode="widthFix"></image>
				</view>
				<view class="tab-box">
					<view v-for="(item,index) in equipArr" :key="item.type" v-if="item.tf" @click="tabClick(index)" :class="['tab-item',active==index?'active':'']">
						<text>{{item.name}}</text>
						<text class="bottom-line"></text>
					</view>
				</view>
			</view>
			<view class="loading" v-if="loadingtf">
				<image src="../../../static/images/ajax-loader.gif" mode="" class="img"></image>
			</view>
			<view class="" style="position: absolute;top: 190px;width: 100%;">
				<view class="content">
					<template v-for="(item,index) in equipArr[active].list">
						<equipItem @click.native="itemClick(item)" v-bind:item="item" :key="index">
							<view class="date">
								<p>设备ID：{{item.imei||item.device_id}}</p>
								<p>最新上报时间：{{item.addtime|timeFormat}}</p>
								<view class="" style="display: flex;justify-content: space-between;" v-if="device_type == 3 || device_type==7">
									<p>设备到期情况：<span
											:class="'prevents_item_bot_sapn'+item.device_expire">{{item.device_expiretext}}</span>
									</p>
									<!-- v-if="item.device_expire!=0" -->
									<p style="color: #3C84FE;" v-if="item.device_expire!=0"  @click.stop="examine(item)">查看详情</p>
								</view>
							</view>
						</equipItem>
					</template>
				</view>
			</view>
		</view>
		<u-modal v-model="show" :title="title" :showConfirmButton="false" :title-style="{'text-align':'left','padding-left':'10px','font-weight':700}" :mask-close-able="true">
			<view class="slot-content">
				<rich-text :nodes="content"></rich-text>
			</view>
		</u-modal>
		<view class="top">
			<view class="backtop" @click="top" v-if="isTop">
				<image src="../../../static/images/1.png" mode="" class="img0"></image>
			</view>
			<view class="more">
				<view class="box" @click="online" v-show="filtrateTF">
					<p>在线</p>
				</view>
				<view class="box" @click="offline" v-show="filtrateTF">
					<p>离线</p>
				</view>
				<view class="box" @click="complete" v-show="filtrateTF">
					<p>全部</p>
				</view>
				<view @click="filtrate">
					<image src="../../../static/images/b0bcdb0e3fe8690520f743aa8303bf2.png" mode="" class="img1"></image>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import equipItem from "../../../components/equip-item/equip-item"
	import uniNavBar from "@/components/uni-nav-bar/uni-nav-bar.vue"
	export default {
		data() {
			return {
				active: 0, //默认选中虫情测报
				equipArr: [{
						name: '虫情测报',
						type: 3, //3虫情测报灯 7孢子仪 4智能性诱
						list: [],
						pageIndex: 1,
						tf:false,
					}, {
						name: '孢子仪',
						type: 7, //3虫情测报灯 7孢子仪 4智能性诱
						list: [],
						pageIndex: 1,
						tf:false,
					}, {
						name: '性诱测报',
						type: 4, //3虫情测报灯 7孢子仪 4智能性诱
						list: [],
						pageIndex: 1,
						tf:false,
					},
					{
						name: '性诱2.0',
						type: 10, //3虫情测报灯 7孢子仪 4智能性诱 性诱2.0
						list: [],
						pageIndex: 1,
						tf:false
					},
					{
						name: '性诱3.0',
						type: 8, //3虫情测报灯 7孢子仪 4智能性诱 性诱2.0
						list: [],
						pageIndex: 1,
						tf: false
					}, {
						name: '吸虫塔',
						type: 12, //3虫情测报灯 7孢子仪 4智能性诱 性诱2.0
						list: [],
						pageIndex: 1,
						tf: false
					}
				],
				device_id: '3', //筛选的设备id
				isTop: false,
				filtrateTF:false,
				device_status:"",
				loadingtf:false,//设备列表加载中
				device_type:"3",
				show: false,
				title: "",
				content: "",
			}
		},
		onLoad() {
			uni.getStorage({
				key:"jurisdiction",
				success:(res)=>{
					let items = JSON.parse(res.data).filter((item) => {
						return item.pur_id == 36
					})
					var arr = items[0].children
					for (var i = 0; i < arr.length; i++) {
						switch (arr[i].pur_id) {
							case 37:
								this.equipArr[0].tf = true //"虫情测报灯"
								this.getEquipList(0)
								break
							case 38:
								this.equipArr[2].tf = true //"性诱测报"
								this.getEquipList(2)
								break
							case 39:
								this.equipArr[1].tf = true //"孢子仪"
								this.getEquipList(1)
								break
							case 161:
								this.equipArr[3].tf = true //"性诱2.0"
								this.getxyEquipList(3)
								break
							case 198:
								this.equipArr[4].tf = true //"性诱2.0"
								this.getthxyEquipList(4)
								break
							case 171:
								this.equipArr[5].tf = true //"性诱3.0"
								this.getxctEquipList(5)
								break
						}
					}
					for(var i=0;i<this.equipArr.length;i++){
						if(this.equipArr[i].tf){
							this.active = i
							this.device_type = this.equipArr[i].type
							break
						}
					}
				}
			})
		},
		onShow() {

		},
		onHide() {

		},
		onUnload() {

		},
		onPullDownRefresh() {
			this.equipArr[this.active].pageIndex = 1
			this.equipArr[this.active].list = []
			if (this.active == 4) {
				this.getthxyEquipList(4)
			} else if (this.active == 5) {
				this.getxctEquipList(5)
			} else if (this.active == 3) {
				this.getxyEquipList(3)
			} else {
				this.getEquipList(this.active)
			}
			setTimeout(() => {
				uni.stopPullDownRefresh()
			}, 1000)
		},
		onReachBottom() {
			let act = this.active
			if (this.equipArr[act].list.length < this.equipArr[act].pageIndex * 10) { //判断是否数据请求完
				return false
			}
			this.equipArr[act].pageIndex++;
			if (this.active == 4) {
				this.getthxyEquipList(4)
			} else if (this.active == 5) {
				this.getxctEquipList(5)
			} else if (this.active == 3) {
				this.getxyEquipList(3)
			} else {
				this.getEquipList(this.active)
			}
		},
		onPageScroll(e) { //nvue暂不支持滚动监听，可用bindingx代替
			if (e.scrollTop > 200) { //距离大于200时显示
				this.isTop = true
			} else { //距离小于200时隐藏
				this.isTop = false
			}
		},
		onBackPress(options) {
			if (options.from === 'navigateBack') {
				return false;
			}
			this.clickLeft();
			return true;
		},
		methods: {
			async getEquipList(act) {
				this.loadingtf = true
				const res = await this.$myRequest({
					url: '/api/api_gateway?method=forecast.worm_lamp.lamp_list',
					data: {
						device_type_id: this.equipArr[act].type,
						page: this.equipArr[act].pageIndex,
						page_size: 10,
						device_status:this.device_status
					}
				})
				this.loadingtf =false
				console.log(res)
				this.equipArr[act].list = [...this.equipArr[act].list, ...res.data]
				for (var i = 0; i < this.equipArr[act].list.length; i++) {
					if (this.equipArr[act].list[i].device_expire == 0) {
						this.equipArr[act].list[i]['device_expiretext'] = "未到期"
					} else if (this.equipArr[act].list[i].device_expire == 1) {
						this.equipArr[act].list[i]['device_expiretext'] = "已到期"
					} else if (this.equipArr[act].list[i].device_expire == 2) {
						this.equipArr[act].list[i]['device_expiretext'] = "即将到期"
					}
				}
				console.log(this.equipArr[act].list)
			},
			async getxyEquipList(act) {
				this.loadingtf = true
				const res = await this.$myRequest({
					url: '/api/api_gateway?method=sex_lure_nl.sex_lure.nl_device_list',
					data: {
						device_type_id: this.equipArr[act].type,
						page: this.equipArr[act].pageIndex,
						page_size: 10,
						device_status:this.device_status
					}
				})
				this.loadingtf =false
				console.log(res)
				this.equipArr[act].list = [...this.equipArr[act].list, ...res.data]
				console.log(this.equipArr[act].list)
			},
			async getthxyEquipList(act) {
				this.loadingtf = true
				const res = await this.$myRequest({
					url: '/api/api_gateway?method=forecast.worm_lamp.xy_three_list',
					data: {
						device_type_id: this.equipArr[act].type,
						page: this.equipArr[act].pageIndex,
						page_size: 10,
						device_status: this.device_status,
					}
				})
				this.loadingtf = false
				console.log(res)
				this.equipArr[act].list = [...this.equipArr[act].list, ...res.data]
				console.log(this.equipArr[act].list)
			},
			async getxctEquipList(act) {
				this.loadingtf = true
				const res = await this.$myRequest({
					url: '/api/api_gateway?method=forecast.worm_lamp.xct_list',
					data: {
						device_type_id: this.equipArr[act].type,
						page: this.equipArr[act].pageIndex,
						page_size: 10,
						device_status: this.device_status,
					}
				})
				this.loadingtf = false
				console.log(res)
				this.equipArr[act].list = [...this.equipArr[act].list, ...res.data]
				console.log(this.equipArr[act].list)
			},
			tabClick(index) {
				this.active = index;
				this.device_id = this.equipArr[index].type
				this.device_type = this.equipArr[index].type
			},
			clickRight() {
				uni.navigateTo({
					url: "./search?device_id=" + this.device_id
				})
			},
			itemClick(item) {
				item.type = this.equipArr[this.active].type
				let data = JSON.stringify(item)
				if (item.type == 10) {
					uni.navigateTo({
						url: '/pages/cb/xy2.0/particulars?info=' + data
					});
				} else if (item.type == 8) {
					console.log(data)
					uni.navigateTo({
						url: '/pages/cb/thxydetail/thxydetail?imei=' + item.imei
					});
				} else if (item.type == 12) {
					uni.navigateTo({
						url: '/pages/cb/xctdetail/xctdetail?info=' + data
					});
				} else{
					uni.navigateTo({
						url: '/pages/cb/equip-detail/equip-detail?info=' + data
					});
				}
			},
			clickLeft() {
				uni.switchTab({
					url: "../../index/index"
				})
			},
			filtrate(){
				this.filtrateTF = !this.filtrateTF
			},
			top() {
				uni.pageScrollTo({
					scrollTop: 0,
					duration: 500
				})
			},
			online(){
				this.equipArr[this.active].pageIndex=1
				this.equipArr[this.active].list =[]
				this.device_status = 1
				if (this.active == 4) {
					this.getthxyEquipList(4)
				} else if (this.active == 5) {
					this.getxctEquipList(5)
				} else if (this.active == 3) {
					this.getxyEquipList(3)
				} else {
					this.getEquipList(this.active)
				}
				this.filtrateTF = !this.filtrateTF
			},
			offline(){
				this.equipArr[this.active].pageIndex=1
				this.equipArr[this.active].list =[]
				this.device_status = 0
				if (this.active == 4) {
					this.getthxyEquipList(4)
				} else if (this.active == 5) {
					this.getxctEquipList(5)
				} else if (this.active == 3) {
					this.getxyEquipList(3)
				} else {
					this.getEquipList(this.active)
				}
				this.filtrateTF = !this.filtrateTF
			},
			complete(){
				this.equipArr[this.active].pageIndex=1
				this.equipArr[this.active].list =[]
				this.device_status = ""
				if (this.active == 4) {
					this.getthxyEquipList(4)
				} else if (this.active == 5) {
					this.getxctEquipList(5)
				} else if (this.active == 3) {
					this.getxyEquipList(3)
				} else {
					this.getEquipList(this.active)
				}
				this.filtrateTF = !this.filtrateTF
			},
			examine(e) {
				// console.log(this)
				this.show = true
				this.title = e.device_expiretext
				this.content = `<p style="padding-left:10px;margin:10px 0;font-size:14px;">到期时间  ${this.timezhuan(e.device_expire_time)}
				</p><p style="font-size:14px;text-align:right;color:#3C84FE;margin-bottom:10px;padding-right:10px">注：请前往PC端进行充值</p>`
			},
			timezhuan(time) {
				function fun(a) {
					return String(a).length == 1 ? '0' + a : a
				}
				let date = new Date(time * 1000)
				let y = date.getFullYear()
				let m = date.getMonth() + 1
				let d = date.getDate()
				let h = date.getHours()
				let min = date.getMinutes()
				let sec = date.getSeconds()
				return `${y}-${fun(m)}-${fun(d)} ${fun(h)}:${fun(min)}:${fun(sec)}`
			},
		},
		components: {
			equipItem,
			uniNavBar
		}
	}
</script>

<style lang="scss">
	page {
		background: $uni-bg-color-grey;

		.content {
			padding: 0 20rpx 20rpx 20rpx;
			box-sizing: border-box;
		}
	}

	image {
		width: 100%;
	}
	.loading{
		position: fixed;
		top: 440px;
		width: 95%;
		left: 2.5%;
		text-align: center;
		z-index: 100;
		.img{
			width: 300rpx;
			height: 40rpx;
		}
	}
	.bases_search {
		width: 60%;
		background-color: #FFFFFF;
		position: absolute;
		top: 10rpx;
		left: 50%;
		margin-left: -33%;
		.bases_search_text {
			width: 90%;
			margin: 0 auto;
			background-color: #F8F8F8;
			height: 60rpx;
			border-radius: 30rpx;
			display: flex;
			line-height: 60rpx;
	
			.search {
				padding: 0 20rpx;
				font-size: 34rpx;
			}
	
			input {
				width: 80%;
				margin-top: 10rpx;
				font-size: 28rpx;
			}
		}
	}
	.tab-box {
		// position: fixed;
		// top: 170px;
		font-size: 30rpx;
		line-height: 80rpx;
		background-color: #ffffff;
		width: 100%;
		z-index: 2;
		overflow: hidden;
		overflow-x: scroll;
		white-space: nowrap;
		margin-top: -10rpx;
		.tab-item {
			cursor: pointer;
			position: relative;
			width: 25%;
			text-align: center;
			display: inline-block;
			padding: 10rpx 0;
		}
		
		.tab-item.active {
			.bottom-line {
				bottom: 0;
				position: absolute;
				display: inline-block;
				width: 90rpx;
				height: 6rpx;
				left: 0;
				right: 0;
				margin: auto;
				background: $uni-color-success;
			}
		}
	}

	.top {
		position: fixed;
		right: 10px;
		bottom: 40px;
		z-index: 100;
		image {
			width: 100rpx;
			height: 100rpx;
		}
		.backtop{
			display: flex;
			justify-content: flex-end;
			margin-bottom: 10rpx;
		}
		.more{
			display: flex;
		}
		.box{
			width: 80rpx;
			height: 80rpx;
			background-color: rgba(161,161,161,0.45);
			border-radius: 50%;
			text-align: center;
			line-height: 80rpx;
			box-sizing: border-box;
			margin: 14rpx 10rpx 0 0;
			color: #fff;
		}
	}
</style>
